/*
Theme Name: Divi Child
Description: Child theme for Divi by Tom Campion
Author: Tom Campion
Author URI: https://tomcampion.fr/
Template: Divi
Version: 1.0
*/

/** GENERAL **/
body {
	-ms-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
	text-rendering: optimizeLegibility;
	-ms-word-wrap: break-word;
    word-wrap: break-word;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    background-color: #f6f6f6;
    overflow-x: hidden;
}
::selection {
    text-shadow: none;
    color: #fff;
    background: var(--gcid-primary-color);
}

.adora-color-primary{
	color: var(--gcid-primary-color);
}

.adora-cross:before,
.adora-cross .et_pb_column.et-last-child:before {
    content: "";
    background: var(--gcid-24hnsg4vd3);
    position: absolute;
    transition: all 1.2s ease-out !important;
}

.adora-cross:before {
    height: 1px;
    width: 540px;
    top: 30px;
    left: -350px;
	max-width: 40vw;
}

.adora-cross .et_pb_column.et-last-child:before {
	height: 215px;
	width: 1px;
	top: 0%;
	left: 0;
	max-height: 40vw;
}
.adora-cross.in-viewport:before{
	left: -30px;
}
.adora-cross.in-viewport .et_pb_column.et-last-child:before{
	top: -30%;
}
@media (max-width:767px){
	.adora-cross .et_pb_column.et-last-child:before{
		left: -10px;
	}
	.adora-cross.in-viewport .et_pb_column.et-last-child:before{
		top: -45% !important;
	}
}

@media (max-width:767px){
	.et_pb_row {
		width: 95% !important;
	}
}
/* cursor */
.et_pb_scroll_top:before {
	content: '\36';
	position: absolute;
	right: -60px;
	background: var(--gcid-primary-color);
	border-radius: 100%;
	-webkit-transition: .4s cubic-bezier(0,0,.3642,1);
	transition: .4s cubic-bezier(0,0,.3642,1);
	opacity: 1;
	transform: rotate(90deg) scaleY(0.7) scaleX(0.7);
	padding: 14px;
}
.et_pb_scroll_top:hover:before {
	transform: rotate(90deg) scaleY(0.8) scaleX(0.8);
}
#adr-circle-pointer {
	position: absolute;
	width: 12px;
	height: 12px;
	z-index: 101;
	background: var(--gcid-primary-color);
	border-radius: 50%;
	pointer-events: none;
	transition: transform 0.4s ease, background 0.4s ease;
	pointer-events: none;
    z-index: 9999;
	mix-blend-mode: unset;
	box-shadow: #fff 0px 0px 1px;
}
#adr-circle-pointer.adr-hidden{
	-webkit-transform: scale(0);
	transform: scale(0)
}
#adr-circle-pointer.adr-on-heading,
#adr-circle-pointer.adr-on-class{
	background: #ffffff;
	-webkit-transform: scale(6);
	transform: scale(6);
	mix-blend-mode: exclusion;
}
/* button */
html body #page-container .et_pb_button.adora-btn-1:after{
	width: 40px;
    height: 40px;
    background: var(--gcid-primary-color);
    border-radius: 100%;
    background-image: var(--arrow-url);
    font-size: 0px !important;
    color: transparent;
    background-size: 20px;
    background-repeat: no-repeat;
    background-position: center;
    transform: translateY(-50%) rotate(-45deg);
	margin-left:7px !important;
	-ms-transition: all .5s ease;
    -o-transition: all .5s ease;
    -moz-transition: all .5s ease;
    -webkit-transition: all .5s ease;
    transition: all .5s ease;
}
html body #page-container .et_pb_button.adora-btn-1:hover:after{
	transform: translateY(-50%) rotate(0deg) !important;
}
html body #page-container .adora-list-item:not(:hover) .et_pb_button.adora-btn-1.adora-btn-icon:after{
	filter: invert(1) !important;
	background-color: unset;
}
html body #page-container .adora-list-item:hover .et_pb_button.adora-btn-1.adora-btn-icon:after{
	transform: translateY(-50%) rotate(0deg) !important;
}
/* list */
html body #page-container .adora-list-item:hover *{
	color: var(--gcid-primary-color) !important;
}
html body #page-container .adora-list-item:hover {
	border-color: var(--gcid-primary-color) !important;
}
html body #page-container .adora-list-item *{
	transition: all .5s ease;
}
.adora-list-row .et_pb_group_carousel_container,
.adora-list-row .et_pb_group_carousel_track,
.adora-list-row .et_pb_group_carousel_slide{
    height: 100%;
}
.adora-list-row .et_pb_group_carousel_dots {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}
@media (max-width:1395px) and (min-width:980px){
	html body #page-container .adora-list-item h1,
	html body #page-container .adora-list-item h2,
	html body #page-container .adora-list-item h3,
	html body #page-container .adora-list-item h4,
	html body #page-container .adora-list-item h5,
	html body #page-container .adora-list-item h6{
		font-size: 24px !important;	
	}	
}
/* subtitle */
.adora-subtitle:before{
	content: "";
    background: var(--gcid-primary-color);
    vertical-align: middle;
    width: 6px;
    height: 6px;
    align-self: center;
    border-radius: 100%;
    margin-right: 2px;
}
/** MENU **/
.mobile_nav.opened .mobile_menu_bar:before {
	content: "\4d";
}